# class KNSBookmarkExporterImpl

###

Module | kio
Namespace |
Class | KNSBookmarkExporterImpl
Inherits | KBookmarkExporterBase

### methods

- KNSBookmarkExporterImpl (mgr, fileName)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  mgr | KBookmarkManager |
  fileName | QString |

- folderAsString (parent)

  returns QString

  Argument | Type | Default
  --- | --- | ---
  parent | KBookmarkGroup |

- setUtf8 (a0)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  a0 | bool |

- write (parent)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  parent | KBookmarkGroup |